## ust 2.13.9

=== doc/examples/cmake-multiple-shared-libraries/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.5.0)
project(ALIGNER)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include_directories(.)

include (FindLTTngUST REQUIRED)

add_library(tracepoint-provider SHARED tracepoint-provider.cpp)
target_link_libraries(tracepoint-provider LTTng::UST)

add_library(aligner-lib SHARED aligner-lib.cpp)
target_link_libraries(aligner-lib tracepoint-provider)

add_library(tester-lib SHARED tester-lib.cpp)
target_link_libraries(tester-lib tracepoint-provider)

link_libraries(aligner-lib)

add_executable(aligner aligner.cpp)

add_executable(tester tester.cpp)
target_link_libraries(tester tester-lib)
