=== debian/changelog ===
ust (2.14.0-1.1) unstable; urgency=medium

  * Source upload to unstable

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 11 Aug 2025 10:31:24 -0400

ust (2.14.0-1) unstable; urgency=medium

  * [0ed6ec7] New upstream version 2.14.0
  * [81ed43a] Refresh patches
  * [8a3c079] liblttng-ctl SONAME bump to 6
  * [30da3c5] Drop t64 lintian overrides
  * [110b5bb] docs renamed to .md
  * [28e9f21] Refresh upstream signing key
  * [b85d134] Bump standards to 4.7.2
  * [2ef606b] Update debian/copyright
  * [d3d7968] Add log4j2 support
  * [f1328f5] Don't fail CI pipeline with blhc false positive
  * [aebb5b2] Move to debhelper 13

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 13:54:12 -0400
