## ust 2.15.0

=== debian/changelog ===
ust (2.15.0-1) unstable; urgency=medium

  * [7dadc79] New upstream version 2.15.0
  * [cc608b7] Update symbols for 2.15.0
  * [0b906e2] d/control: Update dependencies
  * [2f9e6a8] d/control: Update to new standards
  * [1db27da] Update debian/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 18 Feb 2026 17:05:41 -0500
