=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: ust
-Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
@@ -9,14 +8,13 @@
   liblog4j1.2-java [!hppa] <!nojava>,
   liblog4j2-java [!hppa] <!nojava>,
   libnuma-dev,
-  liburcu-dev (>= 0.12~),
+  liburcu-dev (>= 0.15~),
   pkgconf,
   python3-all,
   python3-setuptools,
   texinfo,
   uuid-dev
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
 Vcs-Browser: https://salsa.debian.org/debian/ust
@@ -79,7 +77,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
   liblttng-ust1t64 (= ${binary:Version}), liblttng-ust-ctl6 (= ${binary:Version}),
-  liblttng-ust-python-agent1t64 (= ${binary:Version}), liburcu-dev (>= 0.12~),
+  liblttng-ust-python-agent1t64 (= ${binary:Version}), liburcu-dev (>= 0.15~),
   uuid-dev
 Recommends: python3
 Description: LTTng 2.0 Userspace Tracer (development files)
